# DEB Packaging
## Enviroment
```bash
sudo apt install debhelper devscripts build-essential meson
```

## Files
We need to get the files to build the package:

```bash
mkdir -p ~/packaging/deb/libboilerplate-for-c-gtk3
cd ~/packaging/deb/libboilerplate-for-c-gtk3
wget <url> -o libboilerplate-for-c-gtk3_<version>.org.tar.gz
mkdir -p libboilerplate-for-c-gtk3-<version>
tar xf libboilerplate-for-c-gtk3_<version>.org.tar.gz -C libboilerplate-for-c-gtk3-<version>
```

## Updates
Update:
- `debian/control`: Normally the version number
- `debian/changelog`: The changes

## Build
```bash
debuild -us -uc
```

## Sources
+ https://wiki.debian.org/Packaging/Intro

